<?php
include_once(_DIR_EXT."/frameset/c_frameset_viewer.php");
class c_page_frameset_poll_editor_viewer extends c_page_frameset_viewer
{
    public $h1='Редактор опросов - viewer';

    function select_obj_info()
    {   $to_url='' ;
        if(_CUR_ID)
        {   list($pkey,$tkey)=explode('.',_CUR_ID) ;
            $clss=get_obj_clss(_CUR_ID) ;
            switch($clss)
            { case 1:
              case 572: $to_url=$this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/poll/theme/card/') ;break ;
              case 573: $to_url=$this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/poll/question/card/') ;break ;
              case 574: $to_url=$this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/poll/answer/card/') ;break ;
            }
        }
        if ($to_url) redirect_301_to($to_url);
        //echo '$to_url='.$to_url.'<br>' ;
    }
}
